Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Dmitry Gutov <[email-masked]>
Date: Sat, 8 Oct 2022 17:02:38 +0300

On 08.10.2022 16:42, Philip Kaludercic wrote:
>> Perhaps it will
>> be a good idea to define the 'root' action there (which will
>> recursively check the parent directory and see whether it still
>> contains the "CVS" dir). As long as CVS knows how to recursively diff
>> the directory tree, I suppose. And show history for it whole.
> I checked out the Emacs www repository and tried it out.  This was the
> error I got:
> 
> Debugger entered--Lisp error: (vc-not-supported root CVS)
>    signal(vc-not-supported (root CVS))
>    vc-call-backend(CVS root "~/Source/emacs-www/")
>    vc-print-root-log(2000)
>    funcall-interactively(vc-print-root-log 2000)
>    call-interactively(vc-print-root-log nil nil)
>    command-execute(vc-print-root-log)

Right, I did too. So I described above how 'vc-cvs-root' could be 
implemented. Aside from minor concerns about performance with Tramp, my 
question is whether vc-root-diff and/or vc-print-root-log will be able 
to work without individual files specified (when FILES is (list root)).

vc-cvs-diff starts with looking for individual file backups, but maybe 
the "slow" fallback path will handle the directory just fine.